OpenVDB 5.1.0

Public Types | List of all members
PointDataNodeChain< tree::InternalNode< ChildT, Log2Dim >, 1 > Struct Template Reference

`#include <PointDataGrid.h>`

## Public Types
using | LeafNodeT = PointDataLeafNode< PointDataIndex32, ChildT::LOG2DIM >
using | InternalNodeT = tree::InternalNode< LeafNodeT, Log2Dim >
using | Type = typename boost::mpl::vector< LeafNodeT, InternalNodeT >::type

## Member Typedef Documentation

## ◆ InternalNodeT

using InternalNodeT = tree::InternalNode<LeafNodeT, Log2Dim>

## ◆ LeafNodeT

using LeafNodeT = PointDataLeafNode<PointDataIndex32, ChildT::LOG2DIM>

## ◆ Type

using Type = typename boost::mpl::vector<LeafNodeT, InternalNodeT>::type

The documentation for this struct was generated from the following file:

- PointDataGrid.h